> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypedexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Elysium blocks

> List Elysium blocks



## OpenAPI

````yaml /elysium/openapi-rest.json get /elysium/mainnet/blocks
openapi: 3.0.3
info:
  title: 'Hypedexer API: Elysium'
  version: 1.0.0
  description: >-
    Elysium mainnet (chain 99901) and testnet (chain 99801), Kinetiq's L2 on
    HyperEVM: blocks, transactions, logs, batches, bridge HyperEVM ↔ Elysium,
    tokens and accounts.
servers:
  - url: https://api.hypedexer.com
    description: EU production
security:
  - ApiKeyAuth: []
tags:
  - name: Elysium Mainnet
    description: Elysium mainnet chain, settlement batches, bridge, tokens and accounts.
  - name: Elysium Testnet
    description: Elysium testnet chain, settlement batches, bridge, tokens and accounts.
paths:
  /elysium/mainnet/blocks:
    get:
      tags:
        - Elysium Mainnet
      summary: List Elysium blocks
      description: List Elysium blocks
      parameters:
        - name: start_block
          in: query
          schema:
            description: Min block number
            type: integer
            nullable: true
          description: Min block number
        - name: end_block
          in: query
          schema:
            description: Max block number
            type: integer
            nullable: true
          description: Max block number
        - name: start_time
          in: query
          schema:
            description: Start time (UTC)
            type: string
            format: date-time
            nullable: true
          description: Start time (UTC)
        - name: end_time
          in: query
          schema:
            description: End time (UTC)
            type: string
            format: date-time
            nullable: true
          description: End time (UTC)
        - name: limit
          in: query
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            default: 0
        - name: X-API-Key
          in: header
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ElysiumBlock'
                  execution_time_ms:
                    type: number
                  has_more:
                    type: boolean
        '422':
          description: Invalid parameter
components:
  schemas:
    ElysiumBlock:
      properties:
        block_time:
          format: date-time
          title: Block Time
          type: string
        block_number:
          title: Block Number
          type: integer
        block_hash:
          title: Block Hash
          type: string
        parent_hash:
          title: Parent Hash
          type: string
        gas_limit:
          title: Gas Limit
          type: integer
        gas_used:
          title: Gas Used
          type: integer
        base_fee_per_gas:
          title: Base Fee Per Gas
          type: integer
        l1_block_number:
          title: L1 Block Number
          type: integer
        tx_count:
          title: Tx Count
          type: integer
        user_tx_count:
          title: User Tx Count
          type: integer
      required:
        - block_time
        - block_number
        - block_hash
        - parent_hash
        - gas_limit
        - gas_used
        - base_fee_per_gas
        - l1_block_number
        - tx_count
        - user_tx_count
      title: ElysiumBlock
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Your Hypedexer API key. Create one in the console at
        https://app.hypedexer.com. `Authorization: Bearer <key>` and the
        `api_key` query parameter are accepted as well.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.